## gpsim 0.30.0

=== regression/comparator/Makefile ===
include ../make.regression



all : compar_873a.cod compar_628.cod compar_877a.cod compar_10f204.cod \
	compar_882.cod compar_26k22.cod compar_2321.cod compar_6520.cod


%.cod : %.o
	gplink --map  -o $@  $<

sim: sim_compar_628 sim_compar_873a  sim_compar_877a sim_compar_10f204 \
	sim_compar_882 sim_compar_26k22 sim_compar_2321 sim_compar_6520 \
	sim_compar_26k22

sim_compr_873a: compar_873a.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_873a.stc

=== regression/interrupts_14bit/Makefile ===
include ../make.regression


SCRIPT = 16f84.lkr

PROJECT = interrupts_14bit
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod int_sleep.cod
STC = $(PROJECT).stc

all : $(COD)

$(PROJECT).cod  : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(PROJECT).cod $(OBJECTS)

int_sleep.cod : int_sleep.o $(SCRIPT)
	gplink --map -s $(SCRIPT) -o int_sleep.cod  int_sleep.o

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=int_sleep.cod

=== regression/node_test/Makefile ===
include ../make.regression


SCRIPT = 16f877.lkr

PROJECT = node_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/p16f690/Makefile ===

include ../make.regression


#
# Use 16f631.lkr for all processors in this family
#
SCRIPT = 16f631.lkr

all : nwdt_16f631.cod wdt_16f677.cod p16f690.cod epwm.cod \
	wdt_16f685.cod eusart.cod eusart_690.cod

nwdt_16f631.cod: nwdt_16f631.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o nwdt_16f631.cod nwdt_16f631.o

wdt_16f677.cod: wdt_16f677.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f677.cod wdt_16f677.o

wdt_16f685.cod: wdt_16f685.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f685.cod wdt_16f685.o

p16f690.cod: p16f690.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o p16f690.cod p16f690.o

eusart.cod: eusart.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o eusart.cod eusart.o

eusart_690.cod: eusart_690.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o eusart_690.cod eusart_690.o

epwm.cod: epwm.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o epwm.cod epwm.o

sim: sim_epwm sim_eusart sim_p16f690 sim_nwdt_16f631 sim_wdt_16f677 \
	sim_wdt_16f685 sim_eusart_690

sim_epwm: epwm.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_eusart: eusart.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_p16f690: p16f690.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_nwdt_16f631: nwdt_16f631.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_wdt_16f677: wdt_16f677.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_wdt_16f685: wdt_16f685.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== regression/p18f/Makefile ===

EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f4321.lkr

all : instructions.cod extended_instructions.cod reset.cod

%.cod : %.o
	gplink --map -s $(SCRIPT) -o $@  $<

=== regression/p1xf18xx/Makefile ===
# P12f1822, P16F1823  processor regression tests
#
#

include ../make.regression


all :   p12f1822.cod  p16f1788.cod p16f1823.cod p16f1823_spi.cod p16f1823_i2c.cod p16f1823_i2c_v2.cod p16f1823_comp.cod p16f1788.cod p12f1822_usart.cod p12f1840.cod p16f1825.cod

p16f1823_i2c_v2.o : p16f1823_i2c_v2.asm i2c_low.inc

%.cod : %.o
	gplink --map  -o $@  $<


sim: sim_p12f1822 sim_p16f1823 sim_p16f1823_i2c_v2 sim_p16f1823_i2c sim_p16f1823_comp sim_p16f1823_spi sim_p12f1822_usart sim_p16f1788 sim_p16f1788_comp

=== regression/resistor/Makefile ===
include ../make.regression


SCRIPT = 16f873.lkr

PROJECT = resistor
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC="$<"

=== regression/rrr/Makefile ===

#EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f2455.lkr

PROJECT = instructions
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : reset.cod eusart_2455.cod eusart_4455.cod q.cod q2455.cod dc628.cod stack.cod stack_reset.cod p16f505.cod spp_4455.cod p16f886.cod test_pwm2.cod

p16f886.cod:  p16f886.o
	gplink -o p16f886.cod p16f886.o

test_pwm2.cod:  test_pwm2.o
	gplink -o test_pwm2.cod test_pwm2.o

reset.cod: reset.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o reset.cod reset.o

stack.cod: stack.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o stack.cod stack.o

stack_reset.cod: stack_reset.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o stack_reset.cod stack_reset.o

q2455.cod: q2455.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o q2455.cod q2455.o

q.cod: q.o 12f508_g.lkr p16f505.cod
	gplink --map  -s 12f508_g.lkr -o q.cod q.o

p16f505.cod: p16f505.o
	gplink --map  -s 16f505_g.lkr -o p16f505.cod p16f505.o

dc628.cod: dc628.o 16f628.lkr
	gplink --map  -s 16f628.lkr -o dc628.cod dc628.o

eusart_2455.cod: eusart_2455.o 18f2455.lkr
	gplink --map -s 18f2455.lkr -o eusart_2455.cod eusart_2455.o

eusart_4455.cod: eusart_4455.o 18f2455.lkr
	gplink --map -s 18f2455.lkr -o eusart_4455.cod eusart_4455.o

spp_4455.cod: spp_4455.o 18f2455.lkr
	gplink --map -s 18f2455.lkr -o spp_4455.cod  spp_4455.o

sim:

=== regression/spi/Makefile ===
# PSP (Parallel Slave Port) module regression test
#
#

include ../make.regression


all :   p16f88.cod p18f242.cod p16c62.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_p16f88 sim_p18f242 sim_p16c62

#sim_88: p16f88.cod
#	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$<
#
#sim_242: p18f242.cod
#	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$<
#
#sim_c62: p16c62.cod
#	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$<
#

=== regression/wdt/Makefile ===
# WDT module regression test
#
#

include ../make.regression


all :   wdt_16f88.cod nwdt_16f88.cod wdt_16f628.cod nwdt_16f628.cod \
	wdt_16c64.cod nwdt_16c64.cod wdt_18f452.cod nwdt_18f452.cod \
	wdt_10f200.cod nwdt_16f648a.cod wdt_18f4620.cod \
	nwdt_18f4620.cod pwdt_16f1823.cod nwdt_16f1823.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

wdt_%.cod : wdt_%.o
	gplink --map -s $*.lkr -o $@  $<

nwdt_%.cod : nwdt_%.o
	gplink --map -s $*.lkr -o $@  $<

pwdt_%.cod : pwdt_%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_wdt_16f88 sim_nwdt_16f88 sim_wdt_16f628 sim_nwdt_16f628 \
	sim_wdt_16c64 sim_nwdt_16c64 sim_wdt_18f452 sim_nwdt_18f452 \
	sim_wdt_10f200 sim_wdt_18f4620 sim_nwdt_18f4620

=== examples/projects/p16f628_test/Makefile ===
# Module example
#
#

# system programs
RM              = /bin/rm -f
ARC             = tar -cvf
GZIP            = gzip
ZIP		= zip

# gpasm programs
ASM             = gpasm
DISASM          = gpdasm
CODVIEWER       = gpvc -d 

# simulator
GPSIM		= gpsim

# Programmer
DEVICE		= 16F84
SERIAL_PORT	= /dev/ttyS1
PROG		= picp $(SERIAL_PORT) $(DEVICE) -wp

# project data
PROJECT         = f628
VERSION         = 1
SOURCES		= f628.asm f628.stc
HEADER	        = /usr/local/share/gpasm/header

DIST_FILES = $(SOURCES) \
	f628.hex f628.asm f628.stc	\
	ChangeLog	\
	Makefile	\
	README		


# derived variables
PROJ_VER	= $(PROJECT)-$(VERSION)
ARCHIVE         = $(PROJ_VER).tar
ZIP_PROJ_VER	= $(PROJECT)$(VERSION)
ZIPARCHIVE	= $(ZIP_PROJ_VER)
LATEST_HEX      = $(PROJECT)$(VERSION).hex

all:	$(PROJECT).cod

sim:	$(PROJECT).cod
	$(GPSIM) -c $(PROJECT).stc

$(PROJECT).cod: $(SOURCES)
	$(ASM) -I $(HEADER) $(PROJECT).asm

#$(PROJECT).hex: $(PROJECT).asm
#	$(ASM) -I $(HEADER) $(PROJECT).asm

$(ARCHIVE): $(DIST_FILES)
	mkdir $(PROJ_VER)
	cp $(DIST_FILES) $(PROJ_VER)/.
	$(ARC) $(ARCHIVE) $(PROJ_VER)
	rm -rf $(PROJ_VER)

#zip: $(DIST_FILES)
zip: $(PROJECT).cod
	mkdir $(ZIP_PROJ_VER)
	cp $(DIST_FILES) $(ZIP_PROJ_VER)/.
	cp $(PROJECT).hex $(ZIP_PROJ_VER)/$(LATEST_HEX)
	cp $(PROJECT).hex $(LATEST_HEX)
	$(ZIP) -r $(ZIP_PROJ_VER) $(ZIP_PROJ_VER)
	rm -rf $(ZIP_PROJ_VER)

archive: $(ARCHIVE)
	$(GZIP) $(ARCHIVE)


prog:	$(PROJECT).cod
	$(PROG) $(PROJECT).hex

clean:
	$(RM) *.lst *.cod $(PROJECT)*.gz *~

=== extras/dht11/examples/Makefile ===

MOSTLYCLEANFILES = *.o *.hex *.cod *.lst *.map *~
CLEANFILES = *.o *.hex *.cod *.lst *.map *~
DISTCLEANFILES = *.o *.hex *.cod *.lst *.map *~
MAINTAINERCLEANFILES = *.o *.hex *.cod *.lst *.map *~

.SUFFIXES: .asm .cod

all: dht11_example.cod

dht11_example.cod: dht11_example.o


%.cod: %.o
	gplink --map $< -o $@ 

%.o : %.asm 
	gpasm -c $<


clean:
	rm -f ${CLEANFILES}

=== debian/changelog ===
gpsim (0.30.0-1) unstable; urgency=medium

  * upgraded Standards-Version to 4.1.1
  * updated d/watch file to mangle the upstream RC to ~rc. Hence
    detected the new upstream version.
  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Aug 2017 11:01:11 +0200

=== debian/control ===
Source: gpsim
Section: electronics
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9), libreadline-dev, libncurses5-dev,
 libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
 libtool-bin, bison, chrpath, gputils, quilt, libgtkextra-dev, libgtk2.0-dev
Standards-Version: 4.1.1

Package: gpsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gputils (>= 0.10.0-1)
Suggests: gpsim-led, gpsim-logic, gpsim-lcd, gpsim-doc
Description: Simulator for Microchip's PIC microcontrollers
 Gpsim is a full-featured software simulator for Microchip PIC microcontrollers.
 .
 Gpsim has been designed to be as accurate as possible. Accuracy includes the 
 entire PIC - from the core to the I/O pins and including ALL of the internal 
 peripherals. Thus it's possible to create stimuli and tie them to the I/O pins
 and test the PIC the same PIC the same way you would in the real world. 
 .
 Gpsim has been designed to be as fast as possible. Real time simulation speeds 
 of 20Mhz PICs are possible.
 .
 Gpsim has been designed to be as useful as possible. The standard simulation 
 paradigm including breakpoints, single stepping, disassembling, memory inspect 
 & change, have been implemented. In addition, gpsim supports many debugging 
 features that are only available with in-circuit emulators. For example, a 
 continuous trace buffer tracks every action of the simulator. Also, it's 
 possible to set read and write break points on values (e.g. break if a specific
 value is read from or written to a register).

Package: gpsim-dev
Architecture: any
Section: devel
Depends: gpsim, libpopt-dev, ${misc:Depends}
Description: Libraries needed only for building gpsim components
 Gpsim is a full-featured software simulator for Microchip PIC microcontrollers.
 .
 This package install the libraries and headers necessary to build the
 supporting modules for gpsim.
 .
 NOTE: as a user of gpsim this package does not need to be installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh $@

INSTALL_PROGRAM = install

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

override_dh_auto_configure:
	libtoolize --copy --force --automake
	aclocal
	autoheader || true
	automake --copy --add-missing
	autoconf -f || true
	# Update our config.sub, config.guess files
	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess
	#  Configure the package.
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	--enable-static=no $(GUI_SWITCH) --prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--libdir=\$${prefix}/lib \
	--includedir=\$${prefix}/include


# GUI_SWITCH = --disable-gui
GUI_SWITCH = --enable-gui

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log config.sub config.guess 
	rm -f Makefile.in
	rm -f aclocal.m4
	rm -f cli/Makefile.in
	rm -f config.h.in configure
	rm -f doc/Makefile.in
	rm -f eXdbm/Makefile.in
	rm -f examples/Makefile.in
	rm -f examples/modules/Makefile.in
	rm -f examples/projects/Makefile.in
	rm -f gpsim/Makefile.in
	rm -f gui/Makefile.in
	rm -f ltmain.sh
	rm -f modules/Makefile.in
	rm -f regression/Makefile.in
	rm -f src/Makefile.in
	rm -f src/dspic/Makefile.in
	rm -f xpms/Makefile.in
	rm -f extras/Makefile.in
	rm -f extras/lcd/Makefile.in
	rm -f extras/lcd/examples/Makefile.in
	rm -f extras/graphic_lcd/Makefile.in
	rm -f extras/graphic_lcd/src/Makefile.in
	rm -f extras/ds1307/Makefile.in
	rm -f extras/ds1307/examples/Makefile.in
	rm -f examples/12bit/Makefile.in
	rm -f examples/14bit/Makefile.in
	rm -f examples/16bit/Makefile.in
	rm -f extras/dht11/Makefile.in
	rm -f extras/dht11/examples/Makefile.in
	rm -f extras/i2c2par/Makefile.in
	rm -f extras/i2c2par/examples/Makefile.in
	rm -f m4/libtool.m4
	rm -f m4/lt~obsolete.m4
	rm -f m4/ltversion.m4
	rm -f m4/ltsugar.m4
	rm -f m4/ltoptions.m4
	rm -f compile
	rm -f extras/ds1820/Makefile.in
	rm -f extras/ds1820/Makefile
	rm -f extras/ds1820/examples/Makefile.in
	rm -f extras/ds1820/examples/Makefile
	dh_clean


override_dh_auto_install:
	#  Install the package into debian/tmp.
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	libtool --finish $(CURDIR)/debian/tmp/usr/lib
	cp $(CURDIR)/debian/gpsim.lintian $(CURDIR)/debian/gpsim/usr/share/lintian/overrides/gpsim
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/gpsim
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim.so.0.0.0
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim_dspic.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim_eXdbm.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim_modules.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsimcli.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsimgui.so.0.0.0
	#  Remove things which are not examples; do not fail
	find $(CURDIR)/debian/gpsim/usr/share/doc/gpsim/examples \
	  -name 'Makefile*' -exec rm -f {} \; || true
	#  Kill exec perms in example tree; do not fail
	chmod -x -R $(CURDIR)/debian/gpsim/usr/share/doc/gpsim/examples/* || true

## gpsim 0.31.0

=== extras/rs232-gen/Makefile ===
all: rs232-gen

rs232-gen: rs232-gen.c
	gcc -o rs232-gen rs232-gen.c
 
clean:
	rm -f rs232-gen

=== regression/a2d/Makefile ===
include ../make.regression

all : p16c71.cod p18f452.cod p16f873a.cod p16f88.cod p16f871.cod p16f874a.cod p16f819.cod p18f4321.cod p18f1220.cod p10f222.cod p18f26k22.cod


p%.cod : p%.o
	gplink --map  -o $@  $<


sim: sim_p16c71 sim_p16f871 sim_p16f873a sim_p16f874a sim_p16f88 sim_p16f819 sim_p18f452 sim_p18f4321 sim_p18f1220 sim_p10f222 sim_p18f26k22

=== regression/ccp/Makefile ===
include ../make.regression



all : ccp_877a.cod pwm_877a.cod ccp_819.cod pwm_6520.cod pwm_26k22.cod



%.cod : %.o
	gplink --map  -o $@  $<

sim: sim_ccp_877a sim_pwm_877a sim_ccp_819 sim_pwm_6520 sim_pwm_26k22

=== regression/comparator/Makefile ===
--- 
+++ 
@@ -13,6 +13,6 @@
 	sim_compar_882 sim_compar_26k22 sim_compar_2321 sim_compar_6520 \
 	sim_compar_26k22
 
-sim_compr_873a: compar_873a.cod
+sim_compar_873a: compar_873a.cod
 	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_873a.stc

=== regression/interrupts_16bit/Makefile ===
include ../make.regression


all : interrupts_16bit.cod priority.cod int_18f1320.cod


interrupts_16bit.cod : interrupts_16bit.o
	gplink --map -s 18f2321.lkr -o $@  $^

priority.cod : priority.o
	gplink --map -s 18f2321.lkr -o $@  $^


int_18f1320.cod : int_18f1320.o
	gplink --map -s 18f1320.lkr -o $@  $^

test_basic: interrupts_16bit.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=interrupts_16bit.stc

test_priority: priority.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=priority.stc

sim: test_basic test_priority

=== regression/p16f676/Makefile ===
# PSP (Parallel Slave Port) module regression test
#
#

include ../make.regression


all :   p16f676.cod reset.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

reset.cod : reset.o
	gplink --map -s 16f676.lkr -o $@  $<


sim: sim_p16f676 sim_reset

=== regression/p16f84/Makefile ===
include ../make.regression


SCRIPT = 16f84.lkr

all : p16f84.cod reset.cod

%.cod : %.o
	gplink --map -s $(SCRIPT) -o $@ $<


sim: sim_p16f84 sim_reset

=== regression/p16f88x/Makefile ===
include ../make.regression



all :  p16f887.cod p16f882.cod comparator.cod p16f883.cod eusart.cod i2c.cod epwm.cod a2d.cod p16f886.cod i2c_slave.cod

%.cod : %.o
	gplink --map  -q -o $@ $<


sim: sim_p16f887 sim_p16f882 sim_comparator sim_p16f883 sim_eusart sim_i2c sim_i2c_slave sim_epwm sim_a2d sim_p16f886

=== regression/p18f/Makefile ===

EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f4321.lkr

all : instructions.cod extended_instructions.cod reset.cod p18f14k22.cod

%.cod : %.o
	gplink --map -o $@  $<

=== regression/p18f26k22/Makefile ===
include ../make.regression

all: hlvd_26k22.cod  ctmu_26k22.cod tbl_26k22.cod sync_26k22.cod osccon_26k22.cod

%.cod : %.o
	gplink --map  -o $@  $<

sim: sim_hlvd_26k22 sim_ctmu_26k22 sim_tbl_26k22 sim_sync_26k22 sim_osccon_26k22

.PHONY: all clean

=== regression/p18f452_ports/Makefile ===
include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = p18f452_ports
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/p1xf18xx/Makefile ===
# P12f1822, P16F1823  processor regression tests
#
#

include ../make.regression


all :   p12f1822.cod  p16f1788.cod p16f1788_comp.cod p16f1823.cod p16f1823_spi.cod p16f1823_i2c.cod p16f1823_i2c_v2.cod p16f1823_comp.cod p16f1788.cod p12f1822_usart.cod p12f1840.cod p16f1825.cod p16f1503.cod p16f1503_nco.cod zcd_f1705.cod p16f1705.cod p16f1709.cod p16f1709_cog.cod p16f1709_i2c.cod

p16f1823_i2c_v2.o : p16f1823_i2c_v2.asm i2c_low.inc

%.cod : %.o
	gplink --map  -o $@  $<


sim: sim_p12f1822 sim_p16f1823 sim_p16f1823_i2c_v2 sim_p16f1823_i2c sim_p16f1823_comp sim_p16f1823_spi sim_p12f1822_usart sim_p16f1788 sim_p16f1788_comp sim_p16f1705 sim_p16f1709 sim_p16f1709_cog sim_p16f1709_i2c sim_zcd_f1705

=== debian/changelog ===
gpsim (0.31.0-2build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:50:19 -0500

gpsim (0.31.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:42:54 +0100

gpsim (0.31.0-2) unstable; urgency=medium

  * adopted Slávek Banko's patch, thanks! Closes: #939338

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2019 20:12:59 +0200

gpsim (0.31.0-1) unstable; urgency=medium

  * upgraded Standards-Version to 4.1.4, dh to 11
  * updated d/watch file to mangle the upstream RC to ~rc. Hence
    detected the new upstream version.
  * New upstream version 0.31.0
  * added VCS stuff
  * simplified debian packaging
  * ignore generated files
  * fixed a typo and notified a change in d/README.Debian

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 18:48:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: electronics
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, libncurses5-dev,
+Build-Depends: debhelper (>= 11), libreadline-dev, libncurses5-dev,
  libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
  libtool-bin, bison, chrpath, gputils, quilt, libgtkextra-dev, libgtk2.0-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
+Vcs-Browser:https://salsa.debian.org/georgesk/gpsim
+Vcs-Git: https://salsa.debian.org/georgesk/gpsim.git
 
 Package: gpsim
 Architecture: any

## gpsim 0.32.1

=== regression/analog_stim/Makefile ===
include ../make.regression


all : p18f452.cod p12f1822.cod

p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_p18f452 sim_p12f1822

=== regression/ccp/Makefile ===
include ../make.regression



all : ccp_12f683.cod ccp_877a.cod pwm_877a.cod ccp_819.cod pwm_12f683.cod pwm_6520.cod pwm_26k22.cod



%.cod : %.o
	gplink --map  -o $@  $<

sim: sim_ccp_12f683 sim_ccp_877a sim_pwm_877a sim_ccp_819 sim_pwm_12f683 sim_pwm_6520 sim_pwm_26k22

=== regression/ccp_628/Makefile ===
include ../make.regression



all : ccp_628.cod



ccp_628.cod : ccp_628.o
	gplink --map -s 16f628.lkr -o $@  $^

sim: sim_ccp_628

=== regression/comparator/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 %.cod : %.o
-	gplink --map  -o $@  $<
+	gplink --map  -q -o $@  $<
 
 sim: sim_compar_628 sim_compar_873a  sim_compar_877a sim_compar_10f204 \
 	sim_compar_882 sim_compar_26k22 sim_compar_2321 sim_compar_6520 \

=== regression/eeprom_wide/Makefile ===
include ../make.regression


SCRIPT = 16f873.lkr

PROJECT = eeprom_wide
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(COD)

%.cod : %.o
	gplink --map  -q -o $@ $<


sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/epwm/Makefile ===
include ../make.regression

all : p16f887.cod p18f4321.cod p16f882.cod p18f1220.cod p18f2321.cod p18f26k22.cod


p%.cod : p%.o
	gplink --map  -o $@  $<



sim: sim_p16f887 sim_p18f4321 sim_p16f882 sim_p18f1220 sim_p18f2321 sim_p18f26k22

=== regression/i2c/Makefile ===
# I2C module regression test
#
#

include ../make.regression


all :   p16f876a.cod p16f88.cod p16f819.cod p16f876a_2par.cod


p%.cod : p%.o
	gplink --map -o $@  $<

ds1307.cod : ds1307.o
	gplink --map -o $@  $<

p16f88.cod: p16f88.asm i2c_low.inc

p16f819.cod: p16f819.asm i2c_low.inc

sim: sim_p16f88 sim_p16f876a sim_p16f819

=== regression/instructions_12bit/Makefile ===
include ../make.regression


SCRIPT = 12c508.lkr

PROJECT = instructions_12bit
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/intosc/Makefile ===
include ../make.regression

all : p18f1220.cod p18f2321.cod p18f26k22.cod p18f14k22.cod #p18f4321.cod p16f882.cod p16f887.cod


p%.cod : p%.o
	gplink --map  -o $@  $<



sim: sim_p18f1220 sim_p18f2321 sim_p18f26k22 sim_p18f14k22 #sim_p18f4321 sim_p16f882 sim_p16f887

=== regression/macro_test/Makefile ===
include ../make.regression


SCRIPT = 16f84.lkr

PROJECT = macro_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/neil/Makefile ===
include ../make.regression


all : q.cod debouncer.cod

q.cod : q.o
	gplink --map -s 16f690_g.lkr -o $@  $^

debouncer.cod : debouncer.o
	gplink --map -s 16f690_g.lkr -o $@  $^

=== regression/p10f32x/Makefile ===
include ../make.regression


all : p10f320.cod p10f320_cwg.cod p10f320_nco.cod p10f32x_2par.cod

%.cod : %.o
	gplink --map -o $@ $<


sim: sim_p10f320 sim_p10f320_cwg sim_p10f320_nco

=== debian/changelog ===
gpsim (0.32.1-3) unstable; urgency=medium

  * removed the file debian/rules.old. Closes: #1115204

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Sep 2025 12:04:18 +0200

gpsim (0.32.1-2) unstable; urgency=medium

  [Bastian Germann]
  * Build without GUI. Closes: #967454
  * Drop unnecessary Build-Depends: quilt, libgtkextra-dev. Closes: #1054292

  [Georges Khaznadar]
  * Uploaded Bastian's work to Debian, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Dec 2023 16:05:06 +0100

gpsim (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1
  * refreshed the debian patch
  * bumped Standards-Version: 4.6.2, debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Nov 2023 16:45:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: electronics
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11), libreadline-dev, libncurses5-dev,
+Build-Depends: debhelper-compat (=13), libreadline-dev, libncurses5-dev,
  libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
- libtool-bin, bison, chrpath, gputils, quilt, libgtkextra-dev, libgtk2.0-dev
-Standards-Version: 4.1.4
+ libtool-bin, bison, chrpath, gputils
+Standards-Version: 4.6.2
 Vcs-Browser:https://salsa.debian.org/georgesk/gpsim
 Vcs-Git: https://salsa.debian.org/georgesk/gpsim.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


GUI_SWITCH = --disable-gui

override_dh_auto_configure:
	./configure --build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	--enable-static=no $(GUI_SWITCH) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--libdir=\$${prefix}/lib \
	--includedir=\$${prefix}/include

=== debian/watch ===
version=4

options=uversionmangle=s/RC/~rc/ \
http://sf.net/gpsim/gpsim-(.+)\.tar\.gz
